Incus - Command line client(1)

NAME
incus-file-pull - Pull files from instances

SYNOPSIS
incus file pull [:]/... [flags]

DESCRIPTION
Description:
  Pull files from instances

OPTIONS
-p, --create-dirs[=false]
    ``Create any directories necessary

-L, --dereference[=false]
    ``Always follow symbolic links in source path

-H, --follow[=false]
    ``Follow command-line symbolic links in source path

-P, --no-dereference[=false]
    ``Never follow symbolic links in source path

-r, --recursive[=false]
    ``Recursively transfer files

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus file pull foo/etc/hosts .
         To pull /etc/hosts from the instance and write it to the current directory.

      incus file pull foo/etc/hosts -
         To pull /etc/hosts from the instance and write its output to standard output.

SEE ALSO
incus-file(1)

HISTORY
30-Jul-2026 Auto generated by spf13/cobra